Favicon

You are here: Home > API Reference > Platform > Bulktasks > Get list of bulkTask

Get list of bulkTask

Required Permission: base.bulk.management.list

Get list of bulkTask

GET
https://api.applivery.io/v1/organizations/{organizationId}/bulk-tasks
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/bulk-tasks" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/bulk-tasks", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/bulk-tasks",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

page integer
optional
Sequential page index for navigating large datasets, enabling systematic access to specific record subsets within the total collection.
limit integer
optional
Maximum number of records returned per request to control data density, optimize interface performance, and manage payload size
sort string
optional
Ordering criteria using a field-to-direction mapping to organize results based on specific attributes like creation date, name, or status.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
status string
optional
pendingcreatedinProgresscompletedfailed
action string
optional
import-inventory-itemsimport-mdm-users

Responses

200 Response application/json
status boolean optional
data object optional
items array [object] optional
id string optional
Match pattern: ^[a-fA-F0-9]{24}$
status string optional
pending created inProgress completed failed
config object optional
file object optional
action string optional
≤ 1000 characters
report object optional
error string optional
createdBy object optional
updatedAt string optional
Format: date-time
createdAt string optional
Format: date-time
totalDocs integer optional
limit integer optional
hasPrevPage boolean optional
hasNextPage boolean optional
page integer optional
totalPages integer optional
prevPage integer optional
nextPage integer optional
lean boolean optional
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "status": "pending",
                "config": {
                    "override": true
                },
                "file": {
                    "originalName": "string",
                    "mimetype": "string",
                    "size": 0,
                    "bucket": "string",
                    "key": "string",
                    "location": "string",
                    "region": "string",
                    "storageProviderId": "string",
                    "checksum": "string"
                },
                "action": "string",
                "report": {
                    "numItems": 0,
                    "numInserts": 0,
                    "numUpdates": 0,
                    "numSkips": 0,
                    "numErrors": 0,
                    "skippedLines": [
                        {
                            "line": 0
                        }
                    ],
                    "erroredLines": [
                        {
                            "line": 0,
                            "reason": "string"
                        }
                    ]
                },
                "error": "string",
                "createdBy": {
                    "id": "507f1f77bcf86cd799439023",
                    "email": "[email protected]",
                    "firstName": "John",
                    "lastName": "Doe",
                    "fullName": "John Doe",
                    "picture": "https://example.com/images/profile-picture.jpg"
                },
                "updatedAt": "2024-01-01T00: 00:00Z",
                "createdAt": "2024-01-01T00: 00:00Z"
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0,
        "lean": true
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}